# Class FormArrayControlManager<T>

#### Type Parameters

- T extends FormDefinition

- Defined in packages/angular/forms/src/lib/form-builder.ts:37

#####
Index

### Constructors

constructor

### Methods

inserted
removed

##
Constructors

### constructor

- new FormArrayControlManager<T extends FormDefinition<any, any, any>>(
  form: T,
  controlId: keyof T,
  ): FormArrayControlManager<T>

  #### Type Parameters

  - T extends FormDefinition<any, any, any>

  #### Parameters

  - form: T
  - controlId: keyof T

  #### Returns FormArrayControlManager<T>

  - Defined in packages/angular/forms/src/lib/form-builder.ts:38

##
Methods

### inserted

- inserted(
  index: number,
  controlOrDefinition:
  | AbstractControl<any, any>
  | FormDefinition<any, any, any>,
  ): void

  #### Parameters

  - index: number
  - controlOrDefinition: AbstractControl<any, any> | FormDefinition<any, any, any>

  #### Returns void

  - Defined in packages/angular/forms/src/lib/form-builder.ts:41

### removed

- removed(index: number): void

  #### Parameters

  - index: number

  #### Returns void

  - Defined in packages/angular/forms/src/lib/form-builder.ts:55